%define modname yaz
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 64_%{modname}.ini

Summary:	A Z39.50 client for PHP4
Name:		php-%{modname}
Version:	1.0.7
Release:	%mkrel 4
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/yaz
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
# http://indexdata.dk/phpyaz/demo/mult.phps
Source2:	mult.php.bz2
Patch0:		yaz-1.0.2-antibork.diff.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	yaz-devel tcp_wrappers-devel 
Provides:	php5-yaz
Obsoletes:	php5-yaz
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This extension implements a Z39.50 client for PHP using the YAZ toolkit.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

bzcat %{SOURCE2} > mult.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README mult.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-4
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-3mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- rebuilt for php-5.1.3

* Sat Mar 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdk
- 1.0.7

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-3mdk
- rebuilt against php-5.1.2

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-2mdk
- rebuild

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-1mdk
- 1.0.6

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.5-1mdk
- 1.0.5

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-1mdk
- 1.0.4
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0.2-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.0.2-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0.2-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0.2-1mdk
- 5.0.4
- added P0 to make it compile again

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-3mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-2mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-1mdk
- 1.0.2
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.1-1mdk
- rebuilt for php-5.0.3

* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 5.0.2_1.0.1-2mdk
- Buildrequires 

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.0.1-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.0.1-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.1-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-1mdk
- rebuilt for php-4.3.7

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.1-1mdk
- initial cooker contrib
- added S2
